### Class

# EDataServerUI CredentialsPrompterImplOAuth2

since: 3.28

#### Description [src]

    class EDataServerUI.CredentialsPrompterImplOAuth2 : EDataServerUI.CredentialsPrompterImpl
    {
      ECredentialsPrompterImplOAuth2Private* priv
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.28

#### Hierarchy

#### Ancestors

- ECredentialsPrompterImpl
- EExtension
- GObject

#### Constructors

###### e_credentials_prompter_impl_oauth2_new

Creates a new instance of an `ECredentialsPrompterImplOAuth2`.

since: 3.28

#### Instance methods

##### Methods inherited from ECredentialsPrompterImpl (4)

###### e_credentials_prompter_impl_cancel_prompt

Asks the `prompt_impl` to cancel current prompt, which should have ID `prompt_id`.

since: 3.16

###### e_credentials_prompter_impl_get_credentials_prompter

Returns an `ECredentialsPrompter` with which the `prompter_impl` is associated.

since: 3.16

###### e_credentials_prompter_impl_prompt

Runs a credentials prompt for the `prompter_impl`. The actual prompter implementation receives the prompt through ECredentialsPrompterImplClass::process_prompt(), where the given `prompt_id` is used for an identification. The prompt is left ‘active’ as long as it is not finished with a call of e_credentials_prompter_impl_prompt_finish(). This should be called even for cancelled prompts. The prompt can be cancelled before it’s processed, using the e_credentials_prompter_impl_cancel_prompt().

since: 3.16

###### e_credentials_prompter_impl_prompt_finish

The actual credentials prompt implementation finishes a previously started credentials prompt `prompt_id` with ECredentialsPrompterImplClass::process_prompt() by a call to this function. This function should be called regardless the prompt was or was not cancelled with e_credentials_prompter_impl_cancel_prompt(). Once the prompt is finished another queued is started, if any pending exists. Use `NULL` `credentials` for cancelled prompts, otherwise the credentials are used for authentication of the associated `ESource`.

since: 3.16

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from ECredentialsPrompterImpl (1)

###### ECredentialsPrompterImpl::prompt-finished

Emitted when a prompt of ID `prompt_id` is finished.

since: 3.16

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerUICredentialsPrompterImplOAuth2Class {
      ECredentialsPrompterImplClass parent_class;

    }

No description available.

###### Class members

`parent_class: ECredentialsPrompterImplClass`

  No description available.